<?php  
class ControllerModuleGuide extends Controller {
	protected function index() {
		$this->language->load('module/guide');
		
    	$this->data['heading_title'] = $this->language->get('heading_title');
		
		$this->load->model('catalog/guide');
		$this->load->model('tool/seo_url');
		
		$this->data['guides'] = array();

		foreach ($this->model_catalog_guide->getguides() as $result) {
      		$this->data['guides'][] = array(
        		'title' => $result['title'],
	    		'href'  => $this->model_tool_seo_url->rewrite(HTTP_SERVER . 'index.php?route=guide/guide&guide_id=' . $result['guide_id'])
      		);
    	}
		
		$this->id = 'guide';

		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/module/guide.tpl')) {
			$this->template = $this->config->get('config_template') . '/template/module/guide.tpl';
		} else {
			$this->template = 'default/template/module/guide.tpl';
		}
		
		$this->render();
	}
}
?>